Skip to main content

GET /api/farcaster/trending/users

Trending users

GET users data from farcaster service

Endpoint​

GET https://api.web3identity.com/api/farcaster/trending/users

Example Request​

curl -s "https://api.web3identity.com/api/farcaster/trending/users" | jq

Responses​

200 Success​

{
"users": [
{
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"followerGrowth": 1234,
"score": 98
},
{
"fid": 456,
"username": "trending-user",
"displayName": "Trending User",
"followerGrowth": 987,
"score": 95
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec